## org.apache.batik.script.rhino
Class RhinoInterpreterFactory

    java.lang.Object
      org.apache.batik.script.rhino.RhinoInterpreterFactory

All Implemented Interfaces:
  InterpreterFactory

    public class RhinoInterpreterFactory

extends java.lang.Object
implements InterpreterFactory

Allows to create instances of `RhinoInterpreter` class.

Constructor Summary
`RhinoInterpreterFactory()` Builds a `RhinoInterpreterFactory`.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL, boolean svg12)` Creates an instance of `RhinoInterpreter` class.
`java.lang.String[]` `getMimeTypes()` Returns the mime-types to register this interpereter with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RhinoInterpreterFactory

    public RhinoInterpreterFactory()

  Builds a `RhinoInterpreterFactory`.

Method Detail

### getMimeTypes

    public java.lang.String[] getMimeTypes()

  Returns the mime-types to register this interpereter with.

  Specified by:
    `getMimeTypes` in interface `InterpreterFactory`

### createInterpreter

    public Interpreter createInterpreter(java.net.URL documentURL,
                                         boolean svg12)

  Creates an instance of `RhinoInterpreter` class.

  Specified by:
    `createInterpreter` in interface `InterpreterFactory`
  Parameters:
    `documentURL` - the url for the document which will be scripted
    `svg12` - whether the document is an SVG 1.2 document

Copyright © 2008 Apache Software Foundation. All Rights Reserved.